package org.apache.seatunnel.connectors.seatunnel.http.config;

import org.apache.seatunnel.connectors.seatunnel.http.enums.PageConditionType;
import org.apache.seatunnel.connectors.seatunnel.http.enums.PageEndFunction;

import java.io.Serializable;

public class PageCondition implements Serializable {
    /**
     * 条件类型
     */
    private PageConditionType conditionType = PageConditionType.JSON_PATH;

    /**
     * 当条件类型=jsonpath时，需要填写
     */
    private String fieldPath;

    /**
     * 比较函数方法
     */
    private PageEndFunction function;

    /**
     * 比较的值
     */
    private Object value;

    public PageConditionType getConditionType() {
        return conditionType;
    }

    public void setConditionType(PageConditionType conditionType) {
        this.conditionType = conditionType;
    }

    public String getFieldPath() {
        return fieldPath;
    }

    public void setFieldPath(String fieldPath) {
        this.fieldPath = fieldPath;
    }

    public PageEndFunction getFunction() {
        return function;
    }

    public void setFunction(PageEndFunction function) {
        this.function = function;
    }

    public Object getValue() {
        return value;
    }

    public void setValue(Object value) {
        this.value = value;
    }
}
